com.smartgwt.client.types

## Enum SelectionBoundary

- java.lang.Object
- - java.lang.Enum<SelectionBoundary>
  - - com.smartgwt.client.types.SelectionBoundary

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SelectionBoundary>

      public enum SelectionBoundary
      extends java.lang.Enum<SelectionBoundary>
      implements ValueEnum

  Boundary type for limiting where contiguous selection (via shift+click or drag selection) can be applied across `facets` or `facetValues`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER` selection boundary applies to the bottom / right of the cells
    `BEFORE` selection boundary applies to the top / left of the cells
    `BOTH` selection boundary applies to both edges.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SelectionBoundary` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectionBoundary[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFTER

          public static final SelectionBoundary AFTER

      selection boundary applies to the bottom / right of the cells

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "after".

    - #### BEFORE

          public static final SelectionBoundary BEFORE

      selection boundary applies to the top / left of the cells

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "before".

    - #### BOTH

          public static final SelectionBoundary BOTH

      selection boundary applies to both edges.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "both".

  - ### Method Detail

    - #### values

          public static SelectionBoundary[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectionBoundary c : SelectionBoundary.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectionBoundary valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`